For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usJoin the Discord
ManualAPI GuideAPI Reference
  • Overview
    • API Reference
    • Client libraries
  • API Reference
      • GETList Skills
      • POSTCreate Skill
      • GETGet Skill
      • DELDelete Skill
      • GETList Skill Versions
      • POSTCreate Skill Version
      • GETGet Skill Version
      • DELDelete Skill Version
LogoLogo
Contact usJoin the Discord
API ReferenceSkills

Get Skill Version

GET
https://host.com/v1/skills/:skill_id/versions/:version
GET
/v1/skills/:skill_id/versions/:version
$curl -G https://host.com/v1/skills/skill_id/versions/version \
> -d collection=collection
1{
2 "id": "version_01HZX8V5AKMFK7YMRQ7QNXMW9B",
3 "created_at": "2026-04-16T12:15:00Z",
4 "description": "Helps sales reps draft concise outreach.",
5 "directory": "sales_ops_helper",
6 "name": "sales_ops_helper",
7 "skill_id": "skill_01HZX8N83J4WQ2E4K4G3Q2H9E8",
8 "version": "v4",
9 "type": "skill_version"
10}
Retrieve a specific version for a skill.
Was this page helpful?
Previous

Delete Skill Version

Next
Built with

Path parameters

skill_idstringRequired
versionstringRequired

Headers

anthropic-betalist of stringsOptional

Query parameters

collectionstringRequired

Response

This endpoint returns an object.
idstring
Unique skill version identifier.
created_atdatetime
Creation timestamp.
descriptionstring
Skill version description from frontmatter.
directorystring

Top-level directory name for this version.

namestring
Skill name from frontmatter.
skill_idstring
Parent skill identifier.
versionstring
Version token.
type"skill_version"
Object type.

Errors

401
Unauthorized
422
Unprocessable Entity